m = 1:0.01:8;
y = log2(m);

h=plot(m,y,'k');
set(h,'LineWidth',1);
grid on;

y2 = fix(log2(m));
y2 = y2 + (m - 2.^y2)./2.^y2;

hold on;
h=plot(m,y2,'k');
set(h,'LineWidth',3);


err = y-y2;
h=plot(m,err,'--k');
set(h,'LineWidth',3);

hold off;
h1=xlabel('A [-]');
h2=ylabel('log_2(A)');
axis([1 8 0 3]);

set(gca,'FontSize',17);
set(h1,'FontSize',17);
set(h2,'FontSize',17);

print -depsc linaprox.eps
print -dpng linaprox.png