LIBRARY IEEE;
USE IEEE.std_logic_1164.ALL;

ENTITY tb IS
END ENTITY tb;

ARCHITECTURE beh OF tb IS
  SIGNAL res_i : std_logic;
  SIGNAL clk_i : std_logic;
  SIGNAL sig_i : std_logic;  

  COMPONENT clk_glitches IS
    PORT (
      res : IN  std_logic;
      clk : IN  std_logic;
  	   sig : OUT std_logic
    );
  END COMPONENT clk_glitches;
BEGIN

  clk_res_gen:PROCESS
  BEGIN
    res_i <= '1';
	 clk_i <= '0';
	 WAIT FOR 100 ns;
	 res_i <= '0';
	 WHILE true LOOP
	   clk_i <= '0';
		WAIT FOR 100 ns;
		clk_i <= '1';
		WAIT FOR 100 ns;
	 END LOOP;
  END PROCESS clk_res_gen;

  i_clk_glitches : clk_glitches 
    PORT MAP (
      res => res_i,
      clk => clk_i,
  	   sig => sig_i
    );

END ARCHITECTURE beh;