m = 0:0.01:1;
y = log2(m+1);
h=plot(1+m,y, 'k');
set(h,'LineWidth',1);
grid on;
y2 = m;
hold on;
h=plot(1+m,y2,'k');
set(h,'LineWidth',3);
err = y-y2;
h=plot(1+m,err,'--k');
set(h,'LineWidth',3);

hold off;
h1=xlabel('m [-]');
h2=ylabel('log_2 (1+m)');

set(gca,'FontSize',17);
set(h1,'FontSize',17);
set(h2,'FontSize',17);

print -depsc log21m.eps
print -dpng log21m.png